# Update a commission

## Update SubMerchant Commission

> Update the commission (markup\_fee) for a specific SubMerchant.

```json
{"openapi":"3.0.0","info":{"title":"SubMerchant API","version":"v3"},"paths":{"/sub_merchants/{sub_merchant_id}/markup_fee":{"put":{"summary":"Update SubMerchant Commission","description":"Update the commission (markup_fee) for a specific SubMerchant.","parameters":[{"name":"sub_merchant_id","in":"path","required":true,"description":"The ID of the SubMerchant to update.","schema":{"type":"integer"}},{"in":"header","name":"Content-Type","required":true,"schema":{"type":"string","default":"application/json"},"description":"Media type of the body sent to the API."},{"in":"header","name":"X-Date","required":true,"schema":{"type":"string","format":"date-time"},"description":"ISO8601 Datetime with Timezone (yyyy-MM-dd'T'HH:mm:ssZ)"},{"in":"header","name":"X-Login","required":true,"schema":{"type":"string"},"description":"Merchant X-Login API Key."},{"in":"header","name":"Authorization","required":true,"schema":{"type":"string"},"description":"Authorization control hash."},{"in":"header","name":"X-Idempotency-Key","required":false,"schema":{"type":"string"},"description":"Unique idempotency key for ensuring that the same request is not processed more than once."}],"requestBody":{"required":true,"description":"The new commission fee to be applied to the SubMerchant.","content":{"application/json":{"schema":{"type":"object","properties":{"markup_fee":{"type":"number","format":"double","description":"New commission value that will be charged in transactions of the SubMerchant specified in the URL path."}}}}}},"responses":{"200":{"description":"The commission was updated successfully."},"400":{"description":"The request could not be processed due to a client-side error.","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer","description":"Error code identifying the specific error."},"description":{"type":"string","description":"A human-readable message providing more details about the error."},"type":{"type":"string","description":"The type of error that occurred."}}}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pandablue.com/api-reference-1/platforms-booster/update-a-commission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
